/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Construction;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.UploadImages;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project1;
import com.jeeplus.modules.sys.entity.Role;
import com.jeeplus.modules.sys.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 施工交底MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface ConstructionMapper extends BaseMapper<Construction> {

    int newUpdate(Construction construction);

    User queryPerson(String loginName);

    /**
     * 根据登陆名查询角色
     * */
    List<String> nameFindOffice(String loginName);

    void newSave(Construction construction);

    //根据储备项目暂定名称修改项目状态
    void updateStatus(Construction construction);

    /**
     * 根据流程定义修改项目关闭状态
     */
    void updateCloseStatus(String procInsId);

    //根据流程id查询项目的需求提出单位
    String demandUnit(String procInsId);

    /**
     * 修改交底结论
     */
    void replaceDisclose(List<Construction> constructionList);

    /**
     * 修改项目工程量信息
     * */
    void quantityInsert(List<Construction> constructionList);

    /**
     * 根据节点信息，登陆人信息获得所有流程定义号list，通过流程定义号查询所有项目信息
     * */
    List<Construction> findByProcInsId(List<Construction> constructionList);

    /**
     * 保存上传文件信息
     */
    void uploadSave(UploadImages uploadImages);

    /**
     * 上传文件数据
     */
    List<UploadImages> findUploadPage(UploadImages uploadImages);

    //根据流程定义号查询项目需求名称
    String idProjectName(@Param("procInsId") String procInsId);

    Project1 findNameByInsID(String procInsId);

    String idProjectName2(@Param("procInsId") String procInsId);

    //根据流程定义号查询项目需求名称
    String idProjectName3(@Param("procInsId") String procInsId);

    String idProjectName4(@Param("procInsId") String procInsId);

    List<String> insIdByName(String projectName);

    List<String> insIdByName2(String projectName);

    List<String> insIdByName3(String projectName);

    List<String> insIdByName4(String projectName);

    List<Construction> findDisclosePage(Construction construction);

    //根据用户名查询角色
    List<Role> roleListByName(String name);

    void updateOIPI(Construction construction);
}